Skip to main content
`Ctrl`+`K`

# VecRestoreSubVector

Restores a subvector extracted using `VecGetSubVector()`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreSubVector(Vec X, IS is, Vec *Y)

Collective

## Input Parameters

- X - vector from which subvector was obtained

- is - index set representing the subset of `X`

- Y - subvector being restored

## See Also

Vectors and Parallel Data, `Vec`, `IS`, `VecGetSubVector()`

## Level

advanced

## Location

src/vec/vec/interface/rvector.c

## Examples

src/vec/vec/tutorials/ex44.c
src/ksp/ksp/tutorials/ex81a.c
src/ts/tutorials/ex77.c
src/snes/tutorials/ex70.c
src/dm/tutorials/ex22.c
src/ksp/ksp/tutorials/ex81.c
src/snes/tutorials/ex63.c

## Implementations

VecRestoreSubVector_Nest() in src/vec/vec/impls/nest/vecnest.c
VecRestoreSubVector_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages